Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class ExtendedComboboxPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
              org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedComboboxPropertyDescriptor

All Implemented Interfaces:
  ICompositeSourcePropertyDescriptor, IExtendedPropertyDescriptor, IPropertyDescriptor

Direct Known Subclasses:
  ExtendedBooleanPropertyDescriptor

public class ExtendedComboboxPropertyDescriptor
extends ExtendedPropertyDescriptor

Constructor Summary
`ExtendedComboboxPropertyDescriptor(java.lang.Object id, java.lang.String displayName, java.lang.String[] valuesArray)` Convenience constructor for ExtendedComboboxPropertyDescriptor
`ExtendedComboboxPropertyDescriptor(java.lang.Object id, java.lang.String displayName, java.lang.String[] valuesArray, java.lang.String emptyItem, boolean isTextEditable)` Creates an property descriptor with the given id, display name, and list of value labels to display in the combo box cell editor.

Method Summary
`CellEditor` `createPropertyEditor(Composite parent)` The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `ComboBoxCellEditor`.
`ILabelProvider` `getLabelProvider()`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
`getBlank, getDisplayName, getPropertySource, getPropertyValue, isCompatibleWith, isDirty, isReadOnly, resetPropertyValue, setDirtyFlag, setDisplayName, setPropertySource, setPropertyValue, setReadOnly`

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getAlwaysIncompatible, getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getValidator, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.extended.IExtendedPropertyDescriptor
`setValidator`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.ICompositeSourcePropertyDescriptor
`setCategory`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`getCategory, getDescription, getFilterFlags, getHelpContextIds, getId`

Constructor Detail

### ExtendedComboboxPropertyDescriptor

    public ExtendedComboboxPropertyDescriptor(java.lang.Object id,
                                              java.lang.String displayName,
                                              java.lang.String[] valuesArray)

  Convenience constructor for ExtendedComboboxPropertyDescriptor

Parameters:
  `id` - the id of the property
  `displayName` - the name to display for the property
  `valuesArray` - the list of possible values to display in the combo box

### ExtendedComboboxPropertyDescriptor

    public ExtendedComboboxPropertyDescriptor(java.lang.Object id,
                                              java.lang.String displayName,
                                              java.lang.String[] valuesArray,
                                              java.lang.String emptyItem,
                                              boolean isTextEditable)

  Creates an property descriptor with the given id, display name, and list of value labels to display in the combo box cell editor.

Parameters:
  `id` - the id of the property
  `displayName` - the name to display for the property
  `valuesArray` - the list of possible values to display in the combo box
  `emptyItem` - the combo box item which maps to an empty string in the text box
  `isTextEditable` - whether the text field in the combobox is editable

Method Detail

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

  The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `ComboBoxCellEditor`.

  The editor is configured with the current validator if there is one.

### getLabelProvider

    public ILabelProvider getLabelProvider()

  See Also:
    `IPropertyDescriptor.getLabelProvider()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.